Arch Frame

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Frame and the translation is 89% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Arch Nest.svg Nest Vorherige:
Nächste: Ausstattung Arch Equipment.svg Arrow-right.svg

Arch Frame.svg Arch Frame

Menüeintrag
Arch → Rahmen
Arbeitsbereich
Arch
Standardtastenkürzel
F R
In der Version eingeführt
-
Siehe auch
Arch Wall, Arch Structure


Beschreibung

Das Rahmen-Werkzeug wird zur Erstellung aller Arten von Rahmen-Objekten benutzt, die auf einem Profil und einem Layout basieren. Das Profil wird entlang der Kanten des Layouts extrudiert, das ein beliebiges 2D-Objekt wie einen Skizzen- oder ein Draft-Objekt ist. Das ist besonders nützlich, um Geländer oder Fachwerkwände zu erstellen. Rahmen-Objekte können dann einfach in Wand- oder Struktur-Objekte umgewandelt werden.

Arch Frame example.jpg

Aus einer Anordnung erstelltes Rahmen-Objekt, unter Verwendung eines Kreises als Profil


Anwendung

  1. Erstelle ein Layout- und ein Profil-Objekt, beispielsweise mit dem Draft- oder dem Skizzen-Arbeitsbereich.
  2. Wähle zuerst das Layout-Objekt, dann mit gedrückter Strg-Taste das Profil-Objekt.
  3. Drücke die Schaltfläche Arch Frame.svg Rahmen oder nacheinander die Tasten F und R.

Optionen

  • Rahmen haben die gleichen Eigenschaften und das Verhalten wie alle anderen Arch-Komponenten
  • Das Rahmen-Objekt kann durch Setzen der Offset-Eigenschaft in einem gewissen Abstand zum Layout-Objekt platziert werden
  • Das Profil wird an die Basis jeder Kante des Layout-Objekts kopiert und dann daran entlang extrudiert. Du kannst mit den Align- und Rotation-Eigenschaften kontrollieren, wie das Profil an der Basis jeder Kante platziert wird.

Eigenschaften

  • Daten-EigenschaftBase: Das Layout, auf dem dieser Rahmen basiert.
  • Daten-EigenschaftProfile: Das Profil, auf dem dieser Rahmen basiert.
  • Daten-EigenschaftAlign: Legt fest, ob das Profil gedreht werden muss, um die (Hoch)-Achse an jeder Kante auszurichten.
  • Daten-EigenschaftOffset: Ein optionaler Abstand zwischen Layout- und Rahmen-Objekt.
  • Daten-EigenschaftRotation: Die Drehung des Profils um die Extrusionsachse.

Scripting

Siehe auch: Arch API und FreeCAD Scripting Basics.

Das Rahmen-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Frame = makeFrame(baseobj, profile)
  • Erstellt ein Frame-Objekt aus dem gegebenen baseobj und profile.
    • baseobj ist ein beliebiges Objekt, das Polygonzüge enthält, wie ein Linienzug oder eine Anordnung, die eine Ansammlung davon enthält.
  • profile ist ein extrudierbare 2D-Objekt, das Fläche oder geschlossene Linienzüge enthält.

Beispiel:

import Draft, Arch

Line = Draft.makeLine(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(0, 0, 2000))
baseobj = Draft.makeArray(Line, FreeCAD.Vector(1000, 0, 0), FreeCAD.Vector(0, 1, 0), 6, 1)

profile = Draft.makeCircle(200)
Frame = Arch.makeFrame(baseobj, profile)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Nest.svg Nest Vorherige:
Nächste: Ausstattung Arch Equipment.svg Arrow-right.svg